package eu.future.earth.gwt.client.date;

import com.google.gwt.user.client.rpc.AsyncCallback;

import eu.future.earth.gwt.client.date.DateEvent.DateEventActions;

public abstract class EeEventCallBackHandler<T> implements AsyncCallback<Void> {

	private DatePanel<T> view = null;

	private T data = null;

	public EeEventCallBackHandler(DatePanel<T> view, T theData) {
		super();
		this.view = view;
		data = theData;
	}

	public T getData() {
		return data;
	}

	public DatePanel<T> getView() {
		return view;
	}

	public void sendNotificationEvent(DateEventActions action, boolean reload) {
		view.notifyReady(action, data, reload);
	}

}
