package eu.future.earth.gwt.client.date;

import java.util.Date;

public interface TimeEventRenderer<T> {

	boolean enableDragAndDrop();

	void setStartTime(T event, Date newStart);

	void setEndTime(T event, Date newEnd);

	Date getStartTime(T event);

	Date getEndTime(T event);

	String getId(T event);
	
	boolean equal(T one, T two);

	


}
