package eu.future.earth.gwt.client.date;

import eu.future.earth.gwt.client.date.DateEvent.DateEventActions;

public class UpdateCallBackHandler<T> extends EeEventCallBackHandler<T> {

	public UpdateCallBackHandler(DatePanel<T> view, T dataBeingEdited) {
		super(view, dataBeingEdited);
	}

	public void onFailure(Throwable caught) {
		sendNotificationEvent(DateEventActions.UPDATE_FAILED, true);
	}

	public void onSuccess(Void result) {
		succes();
	}

	public void succes() {
		super.sendNotificationEvent(DateEventActions.UPDATE_DONE, false);
	}

}
