package eu.future.earth.gwt.client.date.week;

import eu.future.earth.gwt.client.date.EventPanel;

public interface DayEventElement<T> {

	EventPanel<? extends T> removeEvent(T event);

	boolean isDay(T newEvent);

	void updateEvent(EventPanel<? extends T> newEvent);

	void addEvent(EventPanel<? extends T> newEvent, boolean partOfBatch);

	void repaintEvents();

	void clearEvents();

	void destroy();

	void setElementWide(int newWide);

}
