package eu.future.earth.gwt.client.date.week.staend;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.AbsolutePanel;
import com.google.gwt.user.client.ui.Widget;

import eu.future.earth.gwt.client.date.week.BaseDayPanel;

public class ExtendedAbsolutePanel<T> extends AbsolutePanel {

	private BaseDayPanel<T> parent = null;

	public ExtendedAbsolutePanel(BaseDayPanel<T> newParent) {
		super();
		parent = newParent;
	}

	public void addNormal(Widget w, int left, int top) {
		super.add(w, left, top);
	}

	
	public void add(Widget w, int left, int top) {
//		if (parent instanceof DayPanel<?> && w instanceof DayField<?>) {
//			final DayPanel<T> real = (DayPanel<T>) parent;
//			final DayField<T> realField = (DayField<T>) w;
			// real.addEvent(realField);
			// real.repaintEvents();
//			GWT.log("Adding", null);
//		}
		super.add(w, left, top);
	}

	public boolean removeNormal(Widget w) {
		return super.remove(w);
	}

	@SuppressWarnings("unchecked")
	public boolean remove(Widget w) {
		boolean res = super.remove(w);
		if (parent instanceof DayPanel<?> && w instanceof DayField<?>) {
			GWT.log("Removing", null);
			final DayPanel<T> real = (DayPanel<T>) parent;
			final DayField<T> realField = (DayField<T>) w;
			real.removeEvent(realField.getValue(), false);
//			real.repaintEvents();
		}
		return res;
	}

}
