package eu.future.earth.gwt.client.date.horizontal;

public abstract class BaseHorizontalDateRenderer<T, M> implements HorizontalDateRenderer<T, M> {

	public int getIntervalWidth() {
		return 15;
	}

	public int getIntervalsPerHour() {
		return 4;
	}

	public boolean show24HourClock() {
		return true;
	}

	public boolean showIntervalTimes() {
		return false;
	}

	public int getRowHeight() {
		return 22;
	}

	public HorizontalAddCallBackHandler<T, M> createAddHandler(HorizontalViewPanelNoDays<T, M> view, T theData) {
		return new HorizontalAddCallBackHandler<T, M>(view, theData);
	}

	public HorizontalUpdateCallBackHandler<T, M> createUpdateHandler(HorizontalViewPanelNoDays<T, M> view, T theData) {
		return new HorizontalUpdateCallBackHandler<T, M>(view, theData);
	}

	public HorizontalRemoveCallBackHandler<T, M> createRemoveHandler(HorizontalViewPanelNoDays<T, M> view, T theData) {
		return new HorizontalRemoveCallBackHandler<T, M>(view, theData);
	}

}
