package eu.future.earth.gwt.client.date.horizontal;

import com.google.gwt.user.client.rpc.AsyncCallback;

import eu.future.earth.gwt.client.date.DateEvent.DateEventActions;

public abstract class EeEventCallBackHandler<T, M> implements AsyncCallback<Void> {

	private HorizontalViewPanelNoDays<T, M> view = null;

	private T data = null;

	public EeEventCallBackHandler(HorizontalViewPanelNoDays<T, M> view, T theData) {
		super();
		this.view = view;
		data = theData;
	}

	public T getData() {
		return data;
	}

	public HorizontalViewPanelNoDays<T, M> getView() {
		return view;
	}

	public void notifyOfChange(DateEventActions action, boolean reload) {
		view.notifyReady(action, data, reload);
	}

}
