/*
 * Copyright 2007 Future Earth, info@future-earth.eu
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package eu.future.earth.gwt.client.date.week.staend;

import com.allen_sauer.gwt.dnd.client.PickupDragController;
import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.ui.AbsolutePanel;

public class WeekPanelDragController extends PickupDragController {

	public WeekPanelDragController(AbsolutePanel boundaryPanel) {
		super(boundaryPanel, false);
		super.setBehaviorDragStartSensitivity(1);
	}

	public void dragMove() {
		DOM.scrollIntoView(context.draggable.getElement());
		super.dragMove();

	}

	@Override
	protected void restoreSelectedWidgetsLocation() {
		super.restoreSelectedWidgetsLocation();
	}

	@Override
	protected void restoreSelectedWidgetsStyle() {
		super.restoreSelectedWidgetsStyle();
	}

	@Override
	protected void saveSelectedWidgetsLocationAndStyle() {
		super.saveSelectedWidgetsLocationAndStyle();
	}

}
