package eu.future.earth.gwt.client.date.week.whole;

import com.allen_sauer.gwt.dnd.client.DragContext;
import com.allen_sauer.gwt.dnd.client.VetoDragException;
import com.allen_sauer.gwt.dnd.client.drop.AbstractDropController;

import eu.future.earth.gwt.client.date.EventPanel;
import eu.future.earth.gwt.client.date.week.DayEventpanel;

public class WholeDayPanelDropController<T> extends AbstractDropController {

	public WholeDayPanelDropController(DayEventpanel<T> newDropTarget) {
		super(newDropTarget);
	}

	@SuppressWarnings("unchecked")
	public void onDrop(DragContext context) {

		final DayEventpanel<T> dropTarget = (DayEventpanel<T>) getDropTarget();
		final EventPanel<T> toMove = (EventPanel<T>) context.draggable;
		// if(!dropTarget.isDay(toMove.getData())){
		dropTarget.addEventByDrop(toMove);
		// } else {
		// Edit ?
		// }
		super.onDrop(context);
	}

	@SuppressWarnings("unchecked")
	public void onPreviewDrop(DragContext context) throws VetoDragException {
		final DayEventpanel<T> dropTarget = (DayEventpanel<T>) getDropTarget();
		final EventPanel<T> toMove = (EventPanel<T>) context.draggable;
		if (dropTarget.isDay(toMove.getValue())) {
			throw new VetoDragException();
		}

		super.onPreviewDrop(context);

	}
}
